{
	"name": "table/local/task/task.json",
	"table_name": "task",
	"table_prefix": "task",
	"record_type": ["task", "project", "todo"],
	"table_name_language": {
		"task": "Task",
		"project": "Project task",
		"todo": "To do"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "modify_id",
			"order": "<"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "task_id",
			"field_type": "varchar",
			"field_length": 80,
			"constraint": ["primary key"]
		},
		{
			"field_name": "description",
			"field_type": "text"
		},
		{
			"field_name": "due_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "estimated_work_time",
			"field_type": "double"
		},
		{
			"field_name": "priority",
			"field_type": "double"
		},
		{
			"field_name": "start_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "task_state",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "task_type",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "timer_rule",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.alert",
			"field_type": "varchar",
			"field_length": 4
		},
		{
			"field_name": "json_data.calendar_name",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.color",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.company_id",
			"field_type": "varchar",
			"field_length": 24
		},
		{
			"field_name": "json_data.confirmation",
			"field_type": "varchar",
			"field_length": 4
		},
		{
			"field_name": "json_data.contact_person",
			"field_type": "varchar",
			"field_length": 112
		},
		{
			"field_name": "json_data.creator_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.creator_time",
			"field_type": "time"
		},
		{
			"field_name": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.direct_telephone_number",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.employee_id",
			"field_type": "varchar",
			"field_length": 24
		},
		{
			"field_name": "json_data.end_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.end_time",
			"field_type": "time"
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.in_calendar",
			"field_type": "boolean"
		},
		{
			"field_name": "json_data.picture_name",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.record_data",
			"field_type": "text"
		},
		{
			"field_name": "json_data.repetition_rule",
			"field_type": "varchar",
			"field_length": 160
		},
		{
			"field_name": "json_data.summary",
			"field_type": "varchar",
			"field_length": 160
		},
		{
			"field_name": "json_data.time",
			"field_type": "time"
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "json_data.actual_end_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.actual_hours",
			"field_type": "double"
		},
		{
			"field_name": "json_data.actual_start_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.creator_id",
			"field_type": "varchar",
			"field_length": 20
		},
		{
			"field_name": "json_data.estimated_end_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.estimated_hours",
			"field_type": "double"
		},
		{
			"field_name": "json_data.project_name",
			"field_type": "varchar",
			"field_length": 80
		}
	],
	"field_change": [
		{
			"name": "task_type",
			"old_name": ["type"]
		},
		{
			"name": "task_state",
			"old_name": ["state"]
		}
	],
	"field_not_in_use": [
		{
			"field_name": "task_attribute",
			"field_type": "varchar",
			"field_length": 40
		}
	]
}
